# Issuing Product

The Issuing Product resource lists the card products available to your workspace.

Each product has a network, funding type, holder type, and product code that define the characteristics of cards that can be created using that product.

### The Issuing Product object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `id` | STRING | Unique identifier for the issuing product. |
| `network` | STRING | Card network. Options: "mastercard", "visa". |
| `fundingType` | STRING | Funding type of the card. Options: "credit", "debit". |
| `holderType` | STRING | Holder type for the card. Options: "individual", "business". |
| `code` | STRING | Product code that identifies the specific card product. |
| `settlement` | STRING | Same as fundingType. Kept for backward compatibility. |
| `client` | STRING | Same as holderType. Kept for backward compatibility. |
| `customerType` | STRING | Same as holderType. Kept for backward compatibility. |
| `created` | STRING | Creation datetime. Example: "2022-01-01T00:00:00.000000+00:00". |

### List Issuing Products

`GET /v2/issuing-product`

Get a list of available issuing products for your workspace.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `limit` | OPTIONAL | Number of results per cursor. Max = 100. |
| `cursor` | OPTIONAL | String used to get the next batch of results. Our SDKs handle this for you. |

**Request**

```python
import starkinfra

products = starkinfra.issuingproduct.query()

for product in products:
    print(product)
```

**Response**

```python
IssuingProduct(
    id=5715709195239424,
    network=Mastercard,
    funding_type=credit,
    holder_type=individual,
    code=ABC,
    settlement=credit,
    client=individual,
    customer_type=individual,
    created=2022-01-01 00:00:00
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/issuing-product-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/issuing-product-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/issuing-product-php.md)
- [Java](https://docs.starkinfra.com/api/v2/issuing-product-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/issuing-product-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/issuing-product-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/issuing-product-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/issuing-product-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/issuing-product-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/issuing-product-curl.md)
